CompatibilityAdapterForTaskInputs (Gradle API 4.5)
Date: 2018-01-24

org.gradle.api.tasks

## Interface CompatibilityAdapterForTaskInputs

- All Known Subinterfaces:
    TaskInputFilePropertyBuilder, TaskInputPropertyBuilder, TaskInputs

  Deprecated.
  The interface is only here to allow plugins built against Gradle 2.x to run and it will be removed in Gradle 5.0.

      @Deprecated
      public interface CompatibilityAdapterForTaskInputs

  Helper interface for binary compatibility with Gradle 2.x version of the `TaskInputs` interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskInputs` | `dir(Object path)` Deprecated. Registers an input directory hierarchy.
    `TaskInputs` | `file(Object path)` Deprecated. Registers some input file for this task.
    `TaskInputs` | `files(Object... paths)` Deprecated. Registers some input files for this task.
    `TaskInputs` | `property(String name, Object value)` Deprecated. Registers an input property for this task.

- - ### Method Detail

    - #### files

          TaskInputs files(Object... paths)

      Deprecated.
      Registers some input files for this task.
      Parameters:
        `paths` - The input files. The given paths are evaluated as per `Project.files(Object...)`.
      Returns:
        this

    - #### file

          TaskInputs file(Object path)

      Deprecated.
      Registers some input file for this task.
      Parameters:
        `path` - The input file. The given path is evaluated as per `Project.files(Object...)`.
      Returns:
        this

    - #### dir

          TaskInputs dir(Object path)

      Deprecated.
      Registers an input directory hierarchy. All files found under the given directory are treated as input files for this task.
      Parameters:
        `path` - The directory. The path is evaluated as per `Project.file(Object)`.
      Returns:
        this

    - #### property

          TaskInputs property(String name,
                              @Nullable
                              Object value)

      Deprecated.

      Registers an input property for this task. This value is persisted when the task executes, and is compared against the property value for later invocations of the task, to determine if the task is up-to-date.

      The given value for the property must be Serializable, so that it can be persisted. It should also provide a useful `equals()` method.

      You can specify a closure or `Callable` as the value of the property. In which case, the closure or `Callable` is executed to determine the actual property value.

      Parameters:
        `name` - The name of the property. Must not be null.
        `value` - The value for the property. Can be null.